קמפיינים חוזרים

GET https://pushconsole.com/api/recurring-campaigns/
curl --request GET \
--url 'https://pushconsole.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
פרמטרים פרטים תיאור
search אופציונלי מחרוזת מחרוזת החיפוש.
search_by אופציונלי מחרוזת באיזה תחום אתה מחפש. הערכים המותרים הם: name, title, description, url.
website_id אופציונלי מספר שלם
order_by אופציונלי מחרוזת באיזה תחום לסדר את התוצאות. הערכים המותרים הם: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type אופציונלי מחרוזת הסדר של התוצאות. הערכים המותרים הם: ASC עבור סידור בסדר עולה, ו-DESC עבור סידור בסדר יורד.
page אופציונלי מספר שלם מספר העמוד שבו אתה מעוניין לקבל תוצאות. ברירת המחדל היא 1.
results_per_page אופציונלי מספר שלם כמה תוצאות אתה רוצה בכל עמוד. הערכים המותרים הם: 10 , 25 , 50 , 100 , 250 , 500 , 1000. ברירת המחדל היא 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": "",
                "frequency": "daily,
                "time": 10:25,
            },
            "segment": "all",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-03-26 22:00:09",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushconsole.com/api/recurring-campaigns?page=1",
        "last": "https://pushconsole.com/api/recurring-campaigns?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushconsole.com/api/recurring-campaigns?page=1"
    }
}
GET https://pushconsole.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://pushconsole.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": "",
            "frequency": "daily,
            "time": 10:25,
        },
        "segment": "all",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-03-26 22:00:09",
    }
}
POST https://pushconsole.com/api/recurring-campaigns
פרמטרים פרטים תיאור
website_id נדרש מספר שלם -
name נדרש מחרוזת -
title נדרש מחרוזת -
description נדרש מחרוזת -
url אופציונלי מחרוזת -
image אופציונלי קובץ -
button_title_1 אופציונלי מחרוזת -
button_url_1 אופציונלי מחרוזת -
button_title_2 אופציונלי מחרוזת -
button_url_2 אופציונלי מחרוזת -
is_silent אופציונלי בוליאני -
is_auto_hide אופציונלי בוליאני -
ttl אופציונלי מחרוזת ערכים מותרים: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source אופציונלי מחרוזת -
utm_medium אופציונלי מחרוזת -
utm_campaign אופציונלי מחרוזת -
frequency אופציונלי מחרוזת ערכים מותרים: daily , weekly , monthly
week_days אופציונלי מחרוזת ערכים מותרים: 1 , 2 , 3 , 4 , 5 , 6 , 7 זמין כאשר: frequency = weekly
month_days אופציונלי מחרוזת ערכים מותרים: 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 17 , 18 , 19 , 20 , 21 , 22 , 23 , 24 , 25 , 26 , 27 , 28 , 29 , 30 , 31 זמין כאשר: frequency = monthly
time אופציונלי מחרוזת HH:II
is_enabled אופציונלי בוליאני -
curl --request POST \
--url 'https://pushconsole.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
    "data": {
        "id": 1
    }
}
POST https://pushconsole.com/api/recurring-campaigns/{recurring_campaign_id}
פרמטרים פרטים תיאור
website_id אופציונלי מספר שלם -
name אופציונלי מחרוזת -
title אופציונלי מחרוזת -
description אופציונלי מחרוזת -
url אופציונלי מחרוזת -
image אופציונלי קובץ -
button_title_1 אופציונלי מחרוזת -
button_url_1 אופציונלי מחרוזת -
button_title_2 אופציונלי מחרוזת -
button_url_2 אופציונלי מחרוזת -
is_silent אופציונלי בוליאני -
is_auto_hide אופציונלי בוליאני -
ttl אופציונלי מחרוזת ערכים מותרים: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source אופציונלי מחרוזת -
utm_medium אופציונלי מחרוזת -
utm_campaign אופציונלי מחרוזת -
frequency אופציונלי מחרוזת ערכים מותרים: daily , weekly , monthly
week_days אופציונלי מחרוזת ערכים מותרים: 1 , 2 , 3 , 4 , 5 , 6 , 7 זמין כאשר: frequency = weekly
month_days אופציונלי מחרוזת ערכים מותרים: 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 17 , 18 , 19 , 20 , 21 , 22 , 23 , 24 , 25 , 26 , 27 , 28 , 29 , 30 , 31 זמין כאשר: frequency = monthly
time אופציונלי מחרוזת HH:II
is_enabled אופציונלי בוליאני -
curl --request POST \
--url 'https://pushconsole.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushconsole.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://pushconsole.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \